# Uses of Interface
org.eclipse.ui.dialogs.ISelectionStatusValidator

Packages that use ISelectionStatusValidator
Package
Description
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of ISelectionStatusValidator in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return ISelectionStatusValidator
Modifier and Type
Method
Description
`protected ISelectionStatusValidator`
AbstractElementListSelectionDialog.`getValidator()`
Gets the optional validator used to check if the selection is valid.
Methods in org.eclipse.ui.dialogs with parameters of type ISelectionStatusValidator
Modifier and Type
Method
Description
`void`
AbstractElementListSelectionDialog.`setValidator(ISelectionStatusValidator validator)`
Sets an optional validator to check if the selection is valid.
`void`
CheckedTreeSelectionDialog.`setValidator(ISelectionStatusValidator validator)`
Sets an optional validator to check if the selection is valid.
`void`
ElementTreeSelectionDialog.`setValidator(ISelectionStatusValidator validator)`
Sets an optional validator to check if the selection is valid.